# This file is auto generated.
# Remove/modify this header if you want to customize the operation.
query occ_getBaseStore_query($baseSiteId: String!, $baseStoreUid: String!, $fields: String = "DEFAULT") {
  occ_getBaseStore(
    baseSiteId: $baseSiteId
    baseStoreUid: $baseStoreUid
    fields: $fields
  ) {
    ... on occ_BaseStore {
      createReturnProcessCode
      currencies {
        active
        isocode
        name
        symbol
      }
      defaultCurrency {
        active
        isocode
        name
        symbol
      }
      defaultDeliveryOrigin {
        address {
          cellphone
          companyName
          country {
            isocode
            name
          }
          defaultAddress
          district
          email
          firstName
          formattedAddress
          id
          lastName
          line1
          line2
          phone
          postalCode
          region {
            countryIso
            isocode
            isocodeShort
            name
          }
          shippingAddress
          title
          titleCode
          town
          visibleInAddressBook
        }
        description
        displayName
        distanceKm
        features
        formattedDistance
        geoPoint {
          latitude
          longitude
        }
        mapIcon {
          altText
          format
          galleryIndex
          imageType
          url
        }
        name
        openingHours {
          code
          name
          specialDayOpeningList {
            closed
            closingTime {
              formattedHour
              hour
              minute
            }
            comment
            date
            formattedDate
            name
            openingTime {
              formattedHour
              hour
              minute
            }
          }
          weekDayOpeningList {
            closed
            closingTime {
              formattedHour
              hour
              minute
            }
            openingTime {
              formattedHour
              hour
              minute
            }
            weekDay
          }
        }
        pickUpInStoreInstructions
        storeContent
        storeImages {
          altText
          format
          galleryIndex
          imageType
          url
        }
        url
        warehouseCodes
      }
      defaultLanguage {
        active
        isocode
        name
        nativeName
      }
      deliveryCountries {
        isocode
        name
      }
      deliveryModes {
        deliveryModes {
          code
          deliveryCost {
            currencyIso
            formattedValue
            maxQuantity
            minQuantity
            priceType
            value
          }
          description
          name
        }
      }
      expressCheckoutEnabled
      externalTaxEnabled
      languages {
        active
        isocode
        name
        nativeName
      }
      maxRadiusForPosSearch
      name
      paymentProvider
      pointsOfService {
        address {
          cellphone
          companyName
          country {
            isocode
            name
          }
          defaultAddress
          district
          email
          firstName
          formattedAddress
          id
          lastName
          line1
          line2
          phone
          postalCode
          region {
            countryIso
            isocode
            isocodeShort
            name
          }
          shippingAddress
          title
          titleCode
          town
          visibleInAddressBook
        }
        description
        displayName
        distanceKm
        features
        formattedDistance
        geoPoint {
          latitude
          longitude
        }
        mapIcon {
          altText
          format
          galleryIndex
          imageType
          url
        }
        name
        openingHours {
          code
          name
          specialDayOpeningList {
            closed
            closingTime {
              formattedHour
              hour
              minute
            }
            comment
            date
            formattedDate
            name
            openingTime {
              formattedHour
              hour
              minute
            }
          }
          weekDayOpeningList {
            closed
            closingTime {
              formattedHour
              hour
              minute
            }
            openingTime {
              formattedHour
              hour
              minute
            }
            weekDay
          }
        }
        pickUpInStoreInstructions
        storeContent
        storeImages {
          altText
          format
          galleryIndex
          imageType
          url
        }
        url
        warehouseCodes
      }
      submitOrderProcessCode
    }
    ... on occ_errorList {
      errors {
        errorCode
        exceptionMessage
        language
        message
        position
        reason
        subject
        subjectType
        type
      }
    }
  }
}